Bug 468293 - Gnome-terminal cd's to Desktop when launched from background's menu entry
Gnome-terminal cd's to Desktop when launched from background's menu entry
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 18:21 EDT by Ed Friedman
Modified: 2009-07-14 10:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2008-10-23 18:21:20 EDT
Description of problem:
Gnome-terminal opens cd's to Desktop when launched from background's menu item.

Version-Release number of selected component (if applicable):
gnome-terminal-2.22.2-1

How reproducible:
Always

Steps to Reproduce:
1.Right click anywhere in screen background to launch menu.
2.Select "Open In Terminal"
3.Type "pwd" in gnome-terminal that opens
  
Actual results:
pwd gives $HOME/Desktop   (where $HOME is user's home directory)

Expected results:
pwd should give $HOME

Additional info:
In all previous versions of RedHat and Fedora, gnome-terminal always opened in $HOME, never until now in $HOME/Desktop.
Comment 1 Marc Schwartz 2009-01-16 12:30:50 EST
In follow up, this behavior is controlled in:

  /apps/nautilus-open-terminal/desktop_opens_home_dir

Note that this is NOT:

  /apps/nautilus/preferences/desktop_is_home_dir

which will change the behavior of the terminal when opened from the
background menu, but it will ALSO make your desktop your home directory.

This bug is probably more correctly filed against "nautilus-open-terminal".

The following appears in the NEWS file for 0.9:

Add GConf key for deciding whether right-clicking the desktop opens home directory or desktop directory.
Use g_get_user_special_dir() to determine the desktop directory, and falls back to ~/Desktop (#468955).
Comment 2 Kam Leo 2009-01-16 14:04:43 EST
A fix found on at http://ubuntu-tutorials.com/2008/11/06/update-nautilus-open-terminal-behavior/ is to run the following command:

gconftool-2 --set --type=bool /apps/nautilus-open-terminal/desktop_opens_home_dir true

Note: The above text should be on one line.
Comment 3 Ed Friedman 2009-01-16 15:41:38 EST
Thanks for the info.  I was able to set it to default to opening sitting in the $HOME directory by doing the following:

1. Start gconf-edit
2. Select Apps->nautilus-open-terminal
3. Put checkmark in box next to desktop_opens_home_dir
Comment 4 Bug Zapper 2009-06-09 23:03:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:03:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.